# Class AnnotationElementValue

java.lang.Object
org.apache.tomcat.util.bcel.classfile.ElementValue
org.apache.tomcat.util.bcel.classfile.AnnotationElementValue

public class AnnotationElementValue extends ElementValue
Element value that represents an annotation.

## Field Summary

### Fields inherited from class ElementValue

`ANNOTATION, ARRAY, CLASS, ENUM_CONSTANT, PRIMITIVE_BOOLEAN, PRIMITIVE_BYTE, PRIMITIVE_CHAR, PRIMITIVE_DOUBLE, PRIMITIVE_FLOAT, PRIMITIVE_INT, PRIMITIVE_LONG, PRIMITIVE_SHORT, STRING`

## Method Summary

Modifier and Type
Method
Description
`AnnotationEntry`
`getAnnotationEntry()`
Gets the annotation entry.
`String`
`stringifyValue()`
Returns a string representation of this element value.

### Methods inherited from class ElementValue

`readElementValue, readElementValue`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAnnotationEntry

public AnnotationEntry getAnnotationEntry()
Gets the annotation entry.

Returns:
  the annotation entry.

### stringifyValue

public String stringifyValue()
Description copied from class: `ElementValue`
Returns a string representation of this element value.

Specified by:
  `stringifyValue` in class `ElementValue`
Returns:
  the string representation